acer travelmate 4720 keymap

Bug #569815 reported by extra_glass on 2010-04-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
udev (Ubuntu)
Medium
Martin Pitt
Lucid
Undecided
Martin Pitt
Maverick
Medium
Martin Pitt

Bug Description

Binary package hint: udev

This is the keymap that I have been using on my travelmate 4720 since karmic days. The keymap attached to the report fix the bluetooth off key that turns off the bluetooth and increase the brightness at the same time.

extra_glass (bruce-chandra) wrote :
extra_glass (bruce-chandra) wrote :
extra_glass (bruce-chandra) wrote :
Changed in udev (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Pushed fix for the bluetooth key upstream, thanks!

Changed in udev (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Fix Committed
Martin Pitt (pitti) on 2010-08-20
Changed in udev (Ubuntu Lucid):
assignee: nobody → Martin Pitt (pitti)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 161+git20100820-1

---------------
udev (161+git20100820-1) maverick; urgency=low

  * New upstream release 161, plus fixes from git head: (LP: #620977)
    - udevadm trigger now defaults to change instead of add.
    - modem modeswitch removed, use usb_modeswitch instead (see LP #521578)
    - NAME= now ignored
    - udevd creates device nodes itself on startup based on modules.udevname
    - default device permission is 0600
    - lots of bug fixes
    - updated keymaps (LP: #271706, #554066, #569815, #592371)
    - update udev(7) to point out naming of rules files (LP: #616108)
    - cdrom_id: fix media state detection of DVD-RW/DVD+RWs (LP: #581925)
    - cdrom_id: fix media state detection on older hardware (LP: #502143)
  * debian/libudev0.symbols: Add new symbols from upstream version.
  * debian/udev.initramfs-hook: Drop 64-device-mapper.rules, it was removed
    upstream.
  * debian/control: Drop obsolete (pre-lucid) Breaks and Conflicts.
  * debian/rules: Replace obsolete dh_clean -k with dh_prep.
  * debian/control: Slightly more generously version libselinux1-dev build
    dependency (thanks lintian).
  * debian/control: Replace obsolete ${Source-Version} with ${binary:Version}.
  * debian/control: Update Standards-Version to 3.9.1.
  * debian/control: Add Homepage field.
 -- Martin Pitt <email address hidden> Sat, 21 Aug 2010 10:07:44 +0200

Changed in udev (Ubuntu Maverick):
status: Fix Committed → Fix Released

Accepted udev into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in udev (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
extra_glass (bruce-chandra) wrote :

updated udev from lucid-proposed
it fixes the bluetooth key problem however lock, open web browser, and programmable key don't work properly
in the meantime i am reverting back to use the old udev and use my selfmade acer-travelmate_4720 keymap

Martin Pitt (pitti) wrote :

The current update just fixes the bluetooth key and doesn't touch any other. So I take it this update improves it and doesn't regress anything, but still isn't perfect. So we should reopen this bug, but it doesn't block the lucid-proposed version from going to -updates.

Martin Pitt (pitti) wrote :

I fixed the screen lock and browser keys in http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=d17c065e28fa4baac90b02b4913c7ef32d54f3c7 . I kept the programmable keys with the slightly different assignment (prog1 vs. prog2) as they are upstream, for better consistency between other Acer models. Thanks!

Changed in udev (Ubuntu Lucid):
status: Fix Committed → Triaged
tags: removed: verification-needed
Changed in udev (Ubuntu Maverick):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 151-12.1

---------------
udev (151-12.1) lucid-proposed; urgency=low

  * Pull latest keymaps from trunk. These include the following LP bugs:
    - Toshiba Satellite U300 volume keys (LP: #271706)
    - Samsung N220 and many other models (LP: #554066)
    - Acer travelmate 4720 (LP: #569815)
    - Logitech Cordless Wave Pro (LP: #592371)
 -- Martin Pitt <email address hidden> Fri, 20 Aug 2010 15:33:57 +0200

Changed in udev (Ubuntu Lucid):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 161+git20100827-1

---------------
udev (161+git20100827-1) maverick; urgency=low

  * Merge fixes from trunk:
    - keymap: Fix Acer TravelMate 4720 (LP: #569815)
    - gudev: fix crash if netlink is not available (LP: #581527)
    - udev(7) manpage: Fix description of $attr (LP: #348513)
  * debian/changelog: Fix bug reference in previous upload.
  * debian/udev.{pre,post}inst: Remove pre-lucid upgrade code.
  * debian/udev.postinst: Drop obsolete /lib/udev/devices/sndstat symlink, OSS
    has gone from our kernels ages ago. (LP: #605443)
  * debian/udev.postinst, create_devices(): Drop devices which are handled by
    static_dev_create_links().
  * debian/udev.postinst, create_devices(): Drop devices which are handled by
    devtmpfs.
  * debian/rules: Work around gtk-doc not being able to work in a separate
    build tree; debian/rules prep already fixes $srcdir→$builddir, so copy
    the relevant source files into the build tree so that gtk-doc has
    something to scan for. (LP: #519670)
  * Add debian/local/hotplug.functions: Provides some helper functions which
    udev callouts can use. This is being used by usb-modeswitch, alsa, and
    other Debian packages. Copied from current udev sid package. (LP: #625110)
 -- Martin Pitt <email address hidden> Mon, 30 Aug 2010 11:21:43 +0200

Changed in udev (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers